Bug Hunting Session
Bug 41842 - FORMATTING: Transfering format with brush affects wrong cells
Summary: FORMATTING: Transfering format with brush affects wrong cells
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 Beta1
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Calc-Merge-Split Clone-Formatting
  Show dependency treegraph
 
Reported: 2011-10-16 14:05 UTC by baldinirobert
Modified: 2019-10-18 02:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description baldinirobert 2011-10-16 14:05:20 UTC
Problem description: 


Steps to reproduce:
1. Merge cells C1 and D1 to one cell
2. Merge cells C2 and D2 to one cell
3. Merge cells C3 and D3 to one cell
4. Merge cells A1 and B1 to one cell
5. transfering format with the brush of the merged cells A1:B1 to the cells A2:B3

Current behavior:
Cells A2:B2 and A3:B3 get correctly merged.
But cells C2:D2 and C3:D3 return to be all single cells.

Expected behavior:
Cells C2:D2 and C3:D3 should not be affected of the above operation.

Platform (if different than the browser): 
              
Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_7_2) AppleWebKit/534.51.22 (KHTML, like Gecko) Version/5.1.1 Safari/534.51.22
Comment 1 tester8 2011-11-12 03:35:52 UTC
Reproduced with

LO 3.4.4
Ubuntu 10.04.3 x86
Linux 2.6.32-35-generic Russian UI
Comment 2 Björn Michaelsen 2011-12-23 12:32:06 UTC Comment hidden (obsolete)
Comment 3 baldinirobert 2011-12-23 22:24:24 UTC
Bug was checked with 3.5.0 beta1 and also persists with this version.
Comment 4 baldinirobert 2012-06-06 14:01:06 UTC
Bug can be reproduced with version 3.5.3.2
Comment 5 bull 2013-01-26 23:46:12 UTC
Bug can be reproduced with development version 4.0.1.0+ (Build ID: a2ebd811d4049e2ed03c677cbc7d0e2c8515b79)
TinderBox: Linux-x86_64_11-Release-Configuration, Branch:libreoffice-4-0, Time: 2013-01-25_22:58:51
Comment 6 A (Andy) 2015-02-07 22:06:56 UTC
Reproducible with LO 4.4.0.3, Win 8.1
Comment 7 QA Administrators 2016-02-21 08:34:33 UTC Comment hidden (obsolete)
Comment 8 baldinirobert 2016-02-22 08:34:13 UTC
bug reproduced with windows7 and libreoffice  5.1.0.3
Comment 9 QA Administrators 2017-03-06 14:55:37 UTC Comment hidden (obsolete)
Comment 10 baldinirobert 2017-03-06 15:31:02 UTC
Bug can be reproduced also with Version: 5.3.0.3
Operating system: Windows7
Comment 11 QA Administrators 2018-03-07 03:40:59 UTC Comment hidden (obsolete)
Comment 12 Thomas Lendo 2018-10-17 20:53:43 UTC
Still reproducible.

Version: 6.2.0.0.alpha0+
Build ID: d92319d2ffeaa65e31f923e0e9c7328b8d7c97bf
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
from today
Comment 13 QA Administrators 2019-10-18 02:39:57 UTC
Dear baldinirobert,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug